org.springframework.orm.jdo

## Class JdoUsageException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.NonTransientDataAccessException
            - - org.springframework.dao.InvalidDataAccessApiUsageException
              - - org.springframework.orm.jdo.JdoUsageException

All Implemented Interfaces:
  Serializable

    public class JdoUsageException
    extends InvalidDataAccessApiUsageException

JDO-specific subclass of InvalidDataAccessApiUsageException. Converts JDO's JDOUserException and JDOFatalUserException.

Since:
  03.06.2003
Author:
  Juergen Hoeller
See Also:
  `PersistenceManagerFactoryUtils.convertJdoAccessException(javax.jdo.JDOException)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JdoUsageException(javax.jdo.JDOFatalUserException ex)`
`JdoUsageException(javax.jdo.JDOUserException ex)`

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JdoUsageException

    public JdoUsageException(javax.jdo.JDOUserException ex)

#### JdoUsageException

    public JdoUsageException(javax.jdo.JDOFatalUserException ex)